Page MenuHomePhabricator

"Accounts creator" permission in arwiki
Closed, ResolvedPublic

Description

Hi, we have "Accounts creator" group in arwiki, and this is a policy page with all guidelines, but we can't add or remove locally, one user gain this permission via Meta.

we want Bureaucrats can add or remove this flag.

thanks

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptAug 24 2016, 11:52 PM
Dereckson added a subscriber: Dereckson.

@Ibrahim.ID Did you discuss the issue locally? If so, could you edit the discussion and add a link to the discussion? If not, please start one at the most appropriate place, as we require a local consensus for site requests.

Meanwhile, I'm preparing the config change.

Change 306595 had a related patch set uploaded (by Dereckson):
Allow bureaucrats to manage account creators group on ar.wikipedia

https://gerrit.wikimedia.org/r/306595

Dereckson triaged this task as Medium priority.Aug 25 2016, 1:11 AM

thanks Dereckson, the local community has discussed this permission before, with consensus and no objections, we create also policy page for it, if you need a vote I can start it.

note: bureaucrats now can add permission, but can't remove it. could you fix it?

The patch already allows them to remove the rights, only the commit message does not show this, so I will update it.

note: bureaucrats now can add permission, but can't remove it. could you fix it?

So to clarify, currently, ar.wikipedia bureaucrats can't currently add it:

mw1017
$ mwrepl arwiki
Welcome to HipHop Debugger!
Type "help" or "?" for a complete list of commands.

Note: no server specified, debugging local scripts only.
If you want to connect to a server, launch with "-h" or use:
  [m]achine [c]onnect <servername>

hphpd> print_r($wgAddGroups)
print_r($wgAddGroups)
Array
(
    [bureaucrat] => Array
        (
            [0] => import
            [1] => reviewer
            [2] => abusefilter
            [3] => sysop
            [4] => bureaucrat
            [5] => bot
        )
...

We'll deploy in a few dozens of minute the change, and they'll be able to add/remove.

Change 306595 merged by jenkins-bot:
Allow bureaucrats to manage account creators group on ar.wikipedia

https://gerrit.wikimedia.org/r/306595

Mentioned in SAL [2016-08-30T13:48:21Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:306595|Allow bureaucrats to manage account creators group on ar.wikipedia (T143844)]] (duration: 00m 50s)

Dereckson closed this task as Resolved.Aug 31 2016, 1:06 PM